html, body, #container
{
   width: 100%;
   height: 100%;
}
body
{
   background-color: transparent;
   color: #000000;
   font-family: David;
   font-weight: normal;
   font-size: 19px;
   line-height: 1.1875;
   margin: 0;
   padding: 0;
}
#preloader
{
   background: #B4B4B4 url("../images/box.gif") no-repeat center center;
   bottom: 0;
   opacity: 0.71;
   position: fixed;
   top: 0;
   width: 100%;
   z-index: 99999;
}
	#t_Employees_filter{
	    display: flex;
	    lign-items: flex-end;
	}
	 .NEAC-Font {
		font-family: Sanchez;
	 }
	 .NEAC-BOLD {
  		font-weight:bold;
	 }
	 .NEAC-LINK {
  		color: blue;
  		background-color: transparent;
  		text-decoration: underline;
  	 }

	 .NEAC-LINK:hover {
  		color: #0013FF;
  		background-color: OLDLACE;
  		font-weight:bold;
	 }
 	 .NEAC-input-class 
	 {
		font-family: Sanchez;
		font-size: 15px;
   		text-decoration: none;
   		color: #000000;
		background-color: #FFFFFF;
   		background-clip: padding-box;
   		border: 2px inset rgba(68,114,196,0.80);
		border-radius: 6px;
   		padding: 5px 5px 5px 5px;
   		height: 25;
        }

        .NEAC-confirm-class {
            padding: 3px 6px;
            font-size: 12px;
            color: white;
            text-align: center;
            vertical-align: middle;
            border-radius: 4px;
            background-color: #337ab7;
            text-decoration: none;
        }

        .NEAC-cancel-class {
            padding: 3px 6px;
            font-size: 12px;
            color: white;
            text-align: center;
            vertical-align: middle;
            border-radius: 4px;
            background-color: #a94442;
            text-decoration: none;
        }

        .error {
            border: solid 1px;
            border-color: #a94442;
        }



	.display_SubInfo 
	{
		border: 2px solid lightblue  ;
		border-style: inset;
	}

        .toolbar 
        {
            float: left;
            background-color: #EFEFEF;
            border-style : outset;
            border-width : 4;
            margin       : 5px 2px 7px 2px;
            padding      : 3px 3px 3px 3px;
            border-radius: 6px;
        }
        .TipoBoton
        {
            border: 2px outset red;
            margin:1px;
            padding:2px;
            color: #1629E7;    
            border-radius: 3px;
            background:#E0F7EE;
        }


#LayerSpin
{
   background-color: transparent;
   background-image: none;
}
#wb_PleaseWaitText 
{
   background-color: transparent;
   background-image: none;
   border: 0px solid #000000;
   padding: 0;
   margin: 0;
   text-align: center;
}
#wb_PleaseWaitText div
{
   text-align: center;
}

.dataTables_wrapper .dataTables_length, .dataTables_wrapper .dataTables_filter {
    float: right;
    text-align: right;
}

.paging_simple_numbers
{
    float: right;
    text-align: right; 
}
  
.complete_Cell_Edit
{ 
	z-index:   10001 !important; 
	-moz-box-shadow: 3px 4px 0px 0px #1564ad;
	-webkit-box-shadow: 3px 4px 0px 0px #1564ad;
	box-shadow: 3px 4px 0px 0px #1564ad;
	background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #fdfeed), color-stop(1, #edeedf));
	background:-moz-linear-gradient(top, #fdfeed 5%, #edeedf 100%);
	background:-webkit-linear-gradient(top, #fdfeed 5%, #edeedf 100%);
	background:-o-linear-gradient(top, #fdfeed 5%, #edeedf 100%);
	background:-ms-linear-gradient(top, #fdfeed 5%, #edeedf 100%);
	background:linear-gradient(to bottom, #fdfeed 5%, #edeedf 100%);
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#fdfeed', endColorstr='#edeedf',GradientType=0);
	background-color:#f9f0c2;
	-moz-border-radius:5px;
	-webkit-border-radius:6px;
	border-radius:6px;
	border:1px solid #337bc4;
	display:inline-block;
	cursor:pointer;
	color:#ffffff;
	padding:8px;
        width: 480px;
}  

.complete_Cell_Text
{ 
	z-index:   10002 !important; 
	-moz-box-shadow: 3px 4px 0px 0px #1564ad;
	-webkit-box-shadow: 3px 4px 0px 0px #1564ad;
	box-shadow: 3px 4px 0px 0px #1564ad;
	background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #f1f7fd), color-stop(1, #edeedf));
	background:-moz-linear-gradient(top, #f1f7fd 5%, #edeedf 100%);
	background:-webkit-linear-gradient(top, #f1f7fd 5%, #edeedf 100%);
	background:-o-linear-gradient(top, #f1f7fd 5%, #edeedf 100%);
	background:-ms-linear-gradient(top, #f1f7fd 5%, #edeedf 100%);
	background:linear-gradient(to bottom, #f1f7fd 5%, #edeedf 100%);
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#f1f7fd', endColorstr='#edeedf',GradientType=0);
	background-color:#f9f0c2;
	-moz-border-radius:5px;
	-webkit-border-radius:6px;
	border-radius:6px;
	border:1px solid #337bc4;
	display:inline-block;
	cursor:pointer;
	color:#000000;
	font-family:Sanchez;
	font-size:14px;
	font-weight:none;	
	padding:6px ;
        margin:2px 2px;
}  

.dt-html-preview {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;     /* ?? número de líneas */
    overflow: hidden;

    max-height: 6.2em;         /* fallback */
    line-height: 1.55em;
    cursor: pointer;
}

.dt-html-preview:hover {
    overflow: visible;
}

.dt-html-tooltip 
{
    position: absolute;
    background: #fff;
    border: 1px solid #ccc;
    box-shadow: 0 4px 12px rgba(0,0,0,.15);
    background-color:#f9f0c2;
   -moz-border-radius:5px;
   -webkit-border-radius:6px;
   border-radius:6px;
   border:1px solid #337bc4;
    padding: 10px;
    width: 600px;
    z-index: 9999;
    display: none;
}

.ContainerBarCode { 
    width: 100%; 
    max-width: 320px; 
    margin: 5px; 
} 
  
.ContainerBarCode h1 { 
    color: #ffffff; 
} 
  
.SectionBarCode { 
    background-color: #ffffff; 
    padding: 10px 10px; 
    border: 1.5px solid #b2b2b2; 
    border-radius: 0.25em; 
    box-shadow: 0 20px 25px rgba(0, 0, 0, 0.25); 
} 
  

#my-qr-reader { 
    padding: 10px !important; 
    border: 1.5px solid #b2b2b2 !important; 
    border-radius: 8px;     
} 
  
#my-qr-reader img[alt="Info icon"] { 
    display: none; 
} 
  
#my-qr-reader img[alt="Camera based scan"] { 
    width: 100px !important; 
    height: 100px !important; 
} 
  
button { 
    padding: 10px 10px; 
    border: 1px solid #b2b2b2; 
    outline: none; 
    border-radius: 0.25em; 
    color: white; 
    font-size: 15px; 
    cursor: pointer; 
    margin-top: 15px; 
    margin-bottom: 10px; 
    background-color: #2fa4f9ad; 
    transition: 0.3s background-color; 
} 
  
button:hover { 
    background-color: #008000; 
} 
  
#html5-qrcode-anchor-scan-type-change { 
    text-decoration: none !important; 
    color: #1d9bf0; 
} 
  
video { 
    width: 100% !important;     
    border: 1px solid #b2b2b2 !important; 
    border-radius: 0.25em; 
}



.ui.flyout {
  position: fixed;
  top: 0;
  right: 0;
  width: 400px; /* Ajusta según tu diseño */
  height: 100vh;
  overflow: hidden; /* Evita que todo el flyout tenga scroll */
  display: flex;
  flex-direction: column;
}

.ui.flyout .content {
  flex-grow: 1; /* Hace que el contenido se expanda */
  overflow-y: auto; /* Habilita scroll solo en el contenido */
}

.ui.flyout .header, .ui.flyout .actions {
  flex-shrink: 0; /* Los mantiene visibles sin desplazarse */
}

.ui.button.close-button {
  float: right; /* Ubica el botón de cierre a la derecha */
}

.ql-editor {
  width: 600px; /* Ancho del editor */
  height: 200px; /* Alto del editor */
}

      /*inicio renderizar*/

.dt-address 
    {
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 8px;
        width: 100%;
    }

    .dt-address .left 
    {
        display: inline-flex;
        align-items: center;
        gap: 6px;
        overflow: hidden;
    }

    .dt-address .addr 
    {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        max-width: 220px; /* ajusta según tu tabla */
    }

    .dt-address i.fa-map-marker-alt 
    {
        color: #e74c3c;
        font-size: 1.1em;
    }

    .copy 
    {
      cursor        : pointer;
      color         : #008080;
      padding-left  : 6px;
    }

    .copy:hover 
    {
      color: #000;
    }

    .dt-phone-group 
    {
      /*display: inline-flex;*/
            
        display         : flex;
        justify-content : space-between;
        align-items     : center;
        gap             : 8px;
        width           : 100%;
    }
      

    .dt-phone-group i.fa-phone 
    { 
        color: #27ae60; 
    }
    .dt-phone-group i.fa-whatsapp 
    { 
        color: #25d366; 
    }
    /* Válidos: iconos a la izquierda, número al lado */
    .dt-phone-group.valid i 
    {
        margin-right: 4px;
    }

    .dt-phone-group .invalid 
    { 
        color: red; font-weight: bold; 
    }

    .num 
    { 
        margin-left: 6px; 
        font-weight: 500; 
    }
    
    .dt-email {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 8px;
}

.dt-email .left {
    display: flex;
    align-items: center;
    gap: 6px;
}

.dt-email .right {
    display: flex;
    align-items: center;
}

.dt-email.invalid .email-text {
    color: red;
}

.text-red {
    color: #d32f2f;
}
    .money 
    {
        display     : inline-grid;
        grid-template-columns: 1.5em auto;
        column-gap  : 0.3em;
        font-weight : bold;
        width       : 100%;
     
  }

.money .sym {
  text-align: right;
}

.money .amt {
  text-align: right;
  min-width: 6ch;
}

.dollar { color: olivedrab; }
.pos { color: #228D57; }
.neg { color: #e74c3c; }

      /*Ocultar columnasr*/
	@media (max-width:768px) 
	{
		tfoot 
		{
			display: none;
		}		
	}

	


      /*fin renderizar*/

.ui.menu {  flex-wrap: wrap;}  .highlight {    background-color: #ffff99 !important; transition: background-color 1s ease-in-out; }
